%def_with static

Name: acl
Version: 2.2.47
Release: alt1

Summary: Command for manipulating access control lists
License: LGPL
Group: System/Kernel and hardware
Url: http://oss.sgi.com/projects/xfs/

Source: %name-%version-%release.tar

Requires: lib%name = %version-%release
BuildRequires: libattr-devel rpm-build >= 4.0.4-alt10
BuildConflicts: libacl-devel

%description
A command (chacl) to manipulate POSIX access control lists
under Linux.

%package -n lib%name
Summary: Main library for %name
Group: System/Libraries

%package -n lib%name-devel
Summary: Access control list headers
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Access control list static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with lib%name.

%description -n lib%name-devel
This package contains the header files needed to
develop programs which make use of POSIX access control lists.

You should install this package if you want to develop programs
which make use of ACLs.  If you install this package, you'll
also want to install lib%name.

%description -n lib%name-devel-static
This package contains the static libraries needed to
develop programs which make use of POSIX access control lists.

You should install this package if you want to develop programs
which make use of ACLs.  If you install this package, you'll
also want to install lib%name-devel.

%prep
%setup

%build
export DEBUG="-DNDEBUG"
%configure
%make_build

%install
make install install-lib install-dev \
    DIST_ROOT=$RPM_BUILD_ROOT PKG_LIB_DIR=/%_lib PKG_DEVLIB_DIR=%_libdir

# Workaround bug in makefiles
rm -rf %buildroot%_datadir/doc/%name
rm -f %buildroot/%_lib/*.{a,la,so}

ln -sf ../../%_lib/lib%name.so.1 %buildroot%_libdir/lib%name.so

# Relocate chacl.
mkdir %buildroot/bin
mv -f %buildroot%_bindir/chacl %buildroot/bin/

%find_lang  %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
/bin/*
%_bindir/*
%_man1dir/*
%doc doc/CHANGES.gz README

%files -n lib%name
/%_lib/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_mandir/man[235]/*
%_includedir/%name
%_includedir/*/*
%doc doc/PORTING

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Mar 17 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.47-alt1
- 2.2.47

* Tue Sep 11 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.45-alt1
- 2.2.45

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.39-alt1.0
- Automated rebuild.

* Thu Sep 14 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.39-alt1
- 2.2.39

* Mon Aug 30 2004 Anton D. Kachalov <mouse@altlinux.org> 2.2.23-alt2
- Multilib support

* Sat May 15 2004 Alexander Bokovoy <ab@altlinux.ru> 2.2.23-alt1
- 2.2.23

* Thu Dec 11 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.21-alt1
- 2.2.21

* Thu Aug 21 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.4-alt2
- Explicitly use old libtool for build.
- Fixed -devel packaging.

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.4-alt1
- 2.2.4, changed maintainer
- Updated buildrequires
- Fixed mess with static libraries

* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.11-alt1
- 2.0.11
- Added buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.5-alt0.1cvs
- 2.0.5

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuild with new kernel

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-1mdk
- Rework the .spec.
- Make libs in subpackage.
- 1.1.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First attempt.

# end of file



